# Introduction

A mobile device has a multitude of sensors ranging from GPS to a barometer. One sensor that is used daily is the capacitive sensor. Capacitive sensors detect anything that is conductive and they are used for touch input in mobile phones. We rely tremendously on touch input to interact with our devices ranging from playing games to checking notifications. However, touch input on mobile devices have its own sets of problems. We are unable to easily interact with our phone due to phones being too large, and not large enough thus limiting user interactions. 

Is there a way to provide another method of interaction with your mobile device that expands the capabilities of touch? Another sensor that can be used for alternative methods of interaction is a magnetometer. The magnetometer senses changes in the magnetic field in all three axes (x,y,z) \cite{Ketabdar_2011}. If the magnetic field can be detected, would there be a way to alter the magnetic field? This can be accomplished by using an external magnet. The external magnet will alter the magnetic field thus producing different (x,y,z) values. 

This new user interaction requires the use of a magnet attached or placed on a finger or embedded in a ring. The use of a magnet and a magnet sensor will increase the area of user interaction around and above the phone. Gestures and taps in 2D and 3D space can be recognized and attached to certain actions. This would allow interaction with a mobile device without physical contact with that device. For example, interacting with your phone while its in your pocket or purse. These are just a few use possibilities of interacting with your phone by using a magnet. 

Using the magnet based interactions described above, we will be building a photo browser + drawing application that will allow you to flip through, select, and annotation/draw on photos using magnets and touch. Magnets also can be embedded on physical objects, such as styluses (which will represent paintbrushes). This will allow the user to have a more natural interaction with the app \cite{Mazalek}.